<?php
/**
 * Display Premium tab contents
 *
 * @package PEFREE/Menu
 */

?>
<section id="content">
	<div class="premium-section clearfix">
		<div class="container">
			<div class="content-wrapper quote-up-header">
				<div class="quote-up-text">
					<p>Unlock Multiproduct Enquiries and Quote Requests, Auto-generation of Quotation PDF, Form Customizations and much more with the Premium Version.</p>
				</div>
				<div class="upgrade-wrap">
					<a href="https://wisdmlabs.com/woocommerce-quotation-and-inquiry/?utm_source=pefreepremiumtab&utm_medium=pefreepremiumtab&utm_campaign=pefreepremiumtab&utm_term=pefreepremiumtab&utm_content=pefreepremiumtab" target="_blank">
						<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/upgrade.png' ); ?>"/>
						<p>UPGRADE
							<span>to Product Enquiry Pro</span>
							<span>(a.k.a QuoteUp)</span></p>
						</a>
					</div>
				</div>

				<div class="scroll-down-wrapper">
					<h1>Premium Features</h1>
					<p>Scroll Down to View Premium Features</p>
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/scroll-icon.png' ); ?>" id="scroll-down"/>
				</div>
			</div>
		</div>

		<div class="add-enquiry clearfix">
			<div class="container">
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/add-enquiry-req-quote.png' ); ?>">
				</div>
				<div class="content-wrapper two-col left-padding">
					<h2>Add an Enquiry or Request a Quote Button on the shop page for all products</h2>
					<p>Allows customers or visitors to make enquiry about a product by asking question about a product directly from the product listing page. Setting the button label text as "Make an Enquiry", "Request a Quote" or "Quote to Order" let's your customers enquire and negotiate for a list of products they are interested into.</p>
				</div>
			</div>
		</div>

		<div class="display-enquiries clearfix">
			<div class="container">
				<div class="content-wrapper">
					<h2>Selectively Display Enquiry/ Add to Cart Button and Prices</h2>
					<p>There is an option provided on every Add/Edit Product Page to selectively display enquiry button or the 'Add to Cart' button for that product. Also, prices can be hidden for one or multiple products.</p>
				</div>
				<div class="image-wrapper">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/selectively-display-enquiry.png' ); ?>">
				</div>
			</div>
		</div>

		<div class="variable-product-support clearfix">
			<div class="container">
				<div class="content-wrapper two-col right-padding">
					<h2>Variable Product Support</h2>
					<p>The plugin supports enquiry or quote request for individual product variations. You can easily add an 'Enquiry' or 'Request a Quote' button to your variable products. Your customers can select variation and then send you an enquiry or quote request with ease!</p>
				</div>
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/variable-product-support.png' ); ?>">
				</div>
			</div>
		</div>

		<div class="form-builder clearfix">
			<div class="container">
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . 'assets/admin/img/drag-drop.png' ); ?>">
				</div>
				<div class="content-wrapper two-col left-padding">
					<h2>Visual Drag and Drop Form Builder</h2>
					<p>This game changing feature allows you to build forms using a simple drag and drop action. Simply drag your fields and drop them to create beautiful forms effortlessly.</p>
				</div>
			</div>
		</div>

		<div class="multi-product clearfix">
			<div class="container">
				<div class="content-wrapper two-col left-padding">
					<h2>Multiproduct Enquiry or Quote request</h2>
					<p>Customers can add multiple WooCommerce products to an enquiry and quote cart, and inquire about or request a quote for several products at once.</p>
				</div>
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/multiproduct-enq.png' ); ?>">
				</div>
			</div>
		</div>

		<div class="create-quote clearfix">
			<div class="container">
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/create-quotes.png' ); ?>">
				</div>
				<div class="content-wrapper two-col right-padding">
					<h2>Create Quotes easily</h2>
					<p>Edit the price and quantity of products added to the quote request and create a custom quote for your Woo customer.</p>
				</div>
			</div>
		</div>

		<div class="auto-generate clearfix">
			<div class="container">
				<div class="content-wrapper  two-col left-padding">
					<h2>Auto-generate Quote PDF and send it to the customers</h2>
					<p>A quote created is generated into a PDF and emailed to the customer. You have the option to personalize the email content before it's sent.</p>
				</div>
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/autogenerate-quote.png' ); ?>">
				</div>
			</div>
		</div>

		<div class="pdf-setting clearfix">
			<div class="container">
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/pdf-settings.png' ); ?>">
				</div>
				<div class="content-wrapper two-col left-padding">
					<h2>PDF Settings</h2>
					<p>Add your Company Name, Email, address and logo to the PDF</p>
				</div>
			</div>
		</div>

		<div class="quote-approve clearfix">
			<div class="container">
				<div class="content-wrapper two-col left-padding">
					<h2>Quote Approve and one click Checkout Option</h2>
					<p>When you send customers a quote, they have an option to approve or reject it. Upon approval, customers are directly taken to the checkout page to complete the purchase!</p>
				</div>
				<div class="image-wrapper two-col">
					<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/quoteup-confirmation.png' ); ?>">
				</div>
			</div>
		</div>

		<div class="coming-soon clearfix">
			<div class="container">
				<div class="upgrade-wrap">
					<a href="https://wisdmlabs.com/woocommerce-quotation-and-inquiry/?utm_source=pefreepremiumtab&utm_medium=pefreepremiumtab&utm_campaign=pefreepremiumtab&utm_term=pefreepremiumtab&utm_content=pefreepremiumtab" target="_blank">
						<img src="<?php echo esc_html( WDM_PE_PLUGIN_URL . '/assets/admin/img/upgrade.png' ); ?>">
						<p>UPGRADE
							<span>to Product Enquiry Pro</span>
							<span>(a.k.a QuoteUp)</span>
						</p>
					</a>
				</div>
			</div>
		</div>
</section>
